org.apache.hc.client5.http.async.methods

## Class AbstractBinResponseConsumer<T>

- java.lang.Object
- - org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer
  - - org.apache.hc.client5.http.async.methods.AbstractBinResponseConsumer<T>

All Implemented Interfaces:
  org.apache.hc.core5.http.nio.AsyncDataConsumer, org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>, org.apache.hc.core5.http.nio.ResourceHolder

    public abstract class AbstractBinResponseConsumer<T>
    extends org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer
    implements org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>

### Constructor Summary

Constructors
Constructor and Description
`AbstractBinResponseConsumer()`

### Method Summary

Methods
`protected abstract T` `buildResult()`
`protected void` `completed()`
`void` `consumeResponse(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.EntityDetails entityDetails, org.apache.hc.core5.concurrent.FutureCallback<T> resultCallback)`
`void` `failed(Exception cause)`
`protected abstract void` `start(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.ContentType contentType)`

### Methods inherited from class org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer

`capacity, consume, data, streamEnd, updateCapacity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.nio.AsyncResponseConsumer

`getResult`

### Methods inherited from interface org.apache.hc.core5.http.nio.AsyncDataConsumer

`consume, streamEnd, updateCapacity`

### Methods inherited from interface org.apache.hc.core5.http.nio.ResourceHolder

`releaseResources`

### Constructor Detail

#### AbstractBinResponseConsumer

    public AbstractBinResponseConsumer()

### Method Detail

#### start

    protected abstract void start(org.apache.hc.core5.http.HttpResponse response,
             org.apache.hc.core5.http.ContentType contentType)
                           throws org.apache.hc.core5.http.HttpException,
                                  IOException

Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`

#### buildResult

    protected abstract T buildResult()

#### consumeResponse

    public final void consumeResponse(org.apache.hc.core5.http.HttpResponse response,
                       org.apache.hc.core5.http.EntityDetails entityDetails,
                       org.apache.hc.core5.concurrent.FutureCallback<T> resultCallback)
                               throws org.apache.hc.core5.http.HttpException,
                                      IOException

Specified by:
  `consumeResponse` in interface `org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`

#### completed

    protected final void completed()

Specified by:
  `completed` in class `org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer`

#### failed

    public void failed(Exception cause)

Specified by:
  `failed` in interface `org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>`